# P2 Module

This module allows to interact with the eclipse p2 system that allows to modify the installed components.

## Method Overview

Method | Description
--- | ---
checkForUpdates() | Silently update the current installation using registered p2 sites.
install() | Install a component into the running system.
registerUpdateSite() | Register a new p2 update site.

## Methods

### checkForUpdates

void checkForUpdates()

Silently update the current installation using registered p2 sites.

### install

void install(java.lang.String component)

Install a component into the running system.

Parameter | Type | Description
--- | --- | ---
component | java.lang.String | component id. Either the name of a plugin or the id of a feature (= feature.name.feature.group)

### registerUpdateSite

void registerUpdateSite(java.lang.String updateSite)

Register a new p2 update site.

Parameter | Type | Description
--- | --- | ---
updateSite | java.lang.String | site to register